API DocumentationManufacturer process prices controller

Get all process pricings

GET
/api/manufacturer/v1/processes

Retrieves all manufacturing process pricing configurations for the current operator

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/manufacturer/v1/processes"
[  {    "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",    "organisationId": 0,    "technology": "string",    "pricingAlgorithm": "string",    "description": "string",    "materials": [      {        "materialPricesId": 0,        "operatorId": 0,        "technology": "string",        "materialId": 0,        "materialName": "string",        "effectiveFrom": "2019-08-24",        "quoteOnly": true,        "colorDtos": [          {            "id": 0,            "code": "string",            "name": "string"          }        ],        "referenceText": "string",        "pricingAlgoType": "string",        "isDefault": true,        "datasheet": "string",        "wallThicknessWarning": 0,        "wallThicknessLimit": 0,        "isDeleted": true,        "fixedPrice": 0,        "density": 0,        "dummy": 0      }    ],    "infills": [      {        "infillId": 0,        "name": "string",        "value": 0,        "effectiveFrom": "2019-08-24",        "default": true,        "isDeleted": true      }    ],    "leadTimes": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "buffer": 0,        "isDefault": true,        "isDeleted": true      }    ],    "precisions": [      {        "precisionPricesId": 0,        "operatorId": 0,        "technology": "string",        "name": "string",        "price": 0,        "isActive": true,        "effectiveFrom": "2019-08-24",        "isDeleted": true      }    ],    "boundingBoxLimit": {      "boundingBoxLimitId": 0,      "technology": "string",      "length": 0,      "width": 0,      "height": 0    },    "pricingEquation": {      "equation": "string",      "variables": [        {          "name": "string",          "placeholder": "string",          "type": "string"        }      ],      "functions": [        {          "name": "string",          "placeholder": "string",          "numberArguments": 0,          "equation": "string"        }      ]    },    "operationIds": [      "78dd0df7-d2d2-49d6-b179-10d9f996a945"    ],    "postProcessingIds": [      0    ],    "bulkPricingQuantities": [      0    ],    "isInternal": true,    "isDefault": true,    "bendingEnabled": true,    "isDeleted": true,    "activeEquationId": "bcf678f8-e860-4ed8-88b7-3c586e1a5417",    "equations": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "equation": "string",        "variables": [          "string"        ],        "lastUpdated": "2019-08-24T14:15:22Z"      }    ],    "materialVariables": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      }    ]  }]
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}